LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
DocumentZoomType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::view
| Document view specific interfaces (e.g. selection access and printing).

## Constant Groups
constants | com::sun::star::view::DocumentZoomType
| These constants specify how the document content is zoomed into the document view.

## Variables
const short | OPTIMAL = 0
| The page content width (excluding margins) at the current selection is fit into the view. More...
const short | PAGE_WIDTH = 1
| The page width at the current selection is fit into the view. More...
const short | ENTIRE_PAGE = 2
| A complete page of the document is fit into the view. More...
const short | BY_VALUE = 3
| The zoom is relative and is to be set via the property ViewSettings::ZoomValue. More...
const short | PAGE_WIDTH_EXACT = 4
| The page width at the current selection is fit into the view, with the view ends exactly at the end of the page. More...